Subject: Re: Problem with git-cvsimport

From: Robin Rosenberg <[email-masked]>
Date: Tue, 30 Oct 2007 22:44:48 +0100

tisdag 30 oktober 2007 skrev Mike Snitzer:
> On 10/10/07, Eyvind Bernhardsen <[email-masked]> wrote:
> ...
> >
> > Thanks for making cvs2svn the best CVS-to-git conversion tool :)  Now
> > if it would only support incremental importing...
> 
> Michael,
> 
> I second this question: is there any chance incremental importing will
> be implemented in cvs2svn?
> 
> I've not used cvs2svn much and when I did it was for svn not git; but
> given that git-cvsimport is known to mess up your git repo (as Eyvind
> pointed out earlier) there doesn't appear to be any reliable tools to
> allow for incrementally importing from cvs to git.
> 
> Are others using a tool for reliably importing from cvs to git?

I use fromcvs which is *very* fast, and quite memory conservative compared to 
the others and seems reliable so far (six months). It probably breaks on 
exotic variants of branches though, but I don't have those / don't care about 
them.

Do not push into the same repo fromcvs works on. I don't understand why, but I 
pushed once and *poof* the conversion went bad. 

Drawbacks, more dependencies and access to the rcs files is required and tags 
are not converted.

-- robin